Skip to main content
`Ctrl`+`K`

# PetscSectionGetStorageSize

Return the size of an array or local `Vec` capable of holding all the degrees of freedom defined in a `PetscSection`

## Synopsis

    #include "petscsection.h"
    PetscErrorCode PetscSectionGetStorageSize(PetscSection s, PetscInt *size)

Not Collective

## Input Parameter

- s - the `PetscSection`

## Output Parameter

- size - the size of an array which can hold all the dofs

## See Also

PetscSection, `PetscSection`, `PetscSectionGetOffset()`, `PetscSectionGetConstrainedStorageSize()`, `PetscSectionCreate()`

## Level

intermediate

## Location

src/vec/is/section/interface/section.c

Index of all PetscSection routines
Table of Contents for all manual pages
Index of all manual pages